Bug 1267382 - ipmitool event file results in 'Platform Event Message command failed: Request data length invalid'
Summary: ipmitool event file results in 'Platform Event Message command failed: Reques...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipmitool
Version: 7.2
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Vaclav Dolezal
QA Contact: Rachel Sibley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-29 21:01 UTC by Rachel Sibley
Modified: 2019-11-28 15:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-28 15:39:05 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Rachel Sibley 2015-09-29 21:01:48 UTC
Description of problem:
ipmitool event file results in the following error when restoring the sel log:
Platform Event Message command failed: Request data length invalid

Not reproducible on all systems.

Version-Release number of selected component (if applicable):
# cat /etc/redhat-release
Red Hat Enterprise Linux Server release 7.2 Beta (Maipo)

# uname -r
3.10.0-319.el7.x86_64

How reproducible:
Not reproducible on all systems

Steps to Reproduce:
1. ipmitool sel clear
2. mktemp
3. ipmitool sel list
4. ipmitool sel save /tmp/tmp.GBZ113va2E
5. ipmitool sel clear
6. ipmitool event file /tmp/tmp.GBZ113va2E

Actual results:
Platform Event Message command failed: Request data length invalid

Expected results:
No error

Additional info:
# ipmitool sel clear
Clearing SEL.  Please allow a few seconds to erase.

# mktemp
/tmp/tmp.GBZ113va2E

# ipmitool sel list
   1 | 09/29/2015 | 20:41:32 | Event Logging Disabled #0x72 | Log area reset/cleared | Asserted

#  ipmitool sel save /tmp/tmp.GBZ113va2E
   1 | 09/29/2015 | 20:41:32 | Event Logging Disabled #0x72 | Log area reset/cleared | Asserted

# ipmitool sel clear
Clearing SEL.  Please allow a few seconds to erase.

# ipmitool event file /tmp/tmp.GBZ113va2E
   0 |  Pre-Init  |0000000000| Event Logging Disabled #0x72 | Log area reset/cleared | Asserted
Platform Event Message command failed: Request data length invalid

# lscpu
Architecture:          x86_64
CPU op-mode(s):        32-bit, 64-bit
Byte Order:            Little Endian
CPU(s):                8
On-line CPU(s) list:   0-7
Thread(s) per core:    2
Core(s) per socket:    2
Socket(s):             2
NUMA node(s):          1
Vendor ID:             GenuineIntel
CPU family:            15
Model:                 6
Model name:            Intel(R) Xeon(TM) CPU 3.73GHz
Stepping:              4
CPU MHz:               3733.000
BogoMIPS:              7449.97
Virtualization:        VT-x
L1d cache:             16K
L2 cache:              2048K
NUMA node0 CPU(s):     0-7

Comment 6 Rachel Sibley 2017-07-07 16:28:08 UTC
Hi Josef, I'm still seeing it on with the latest ipmitool in 7.4:

[root@dell-pe1950-01 ~]# cat /etc/redhat-release
Red Hat Enterprise Linux Server release 7.4 (Maipo)

[root@dell-pe1950-01 ~]# rpm -q ipmitool
ipmitool-1.8.18-5.el7.x86_64

[root@dell-pe1950-01 ~]# ipmitool sel clear
Clearing SEL.  Please allow a few seconds to erase.

[root@dell-pe1950-01 ~]# mktemp
/tmp/tmp.FCNa5H6h3i

[root@dell-pe1950-01 ~]# ipmitool sel list
   1 | 07/07/2017 | 16:24:05 | Event Logging Disabled #0x72 | Log area reset/cleared | Asserted
   2 | 07/07/2017 | 16:24:17 | Battery #0x11 | Failed | Asserted

[root@dell-pe1950-01 ~]# ipmitool sel save /tmp/tmp.FCNa5H6h3i
   1 | 07/07/2017 | 16:24:05 | Event Logging Disabled #0x72 | Log area reset/cleared | Asserted
   2 | 07/07/2017 | 16:24:17 | Battery #0x11 | Failed | Asserted

[root@dell-pe1950-01 ~]# ipmitool sel clear
Clearing SEL.  Please allow a few seconds to erase.

[root@dell-pe1950-01 ~]# ipmitool event file /tmp/tmp.FCNa5H6h3i
   0 |  Pre-Init  |0000000000| Event Logging Disabled #0x72 | Log area reset/cleared | Asserted
Platform Event Message command failed: Request data length invalid
   0 |  Pre-Init  |0000000000| Battery #0x11 | Failed | Asserted
Platform Event Message command failed: Request data length invalid

Comment 8 Vaclav Dolezal 2019-11-07 11:44:33 UTC
Hi Rachel,
is this reproducible anywhere? I saw that `dell-pe1950-01.lab.eng.rdu.redhat.com` was decommisioned.

Anyway, from what I got from the specs, event messages should be 7 bytes long for IPMB interface and 8 B for system interface, where 'Generator ID' is prepended.

Comment 9 Rachel Sibley 2019-11-07 20:48:41 UTC
Hi Vaclav, I haven't seen it since, I think we can probably close this in the case that I used an invalid message length

Comment 10 Vaclav Dolezal 2019-11-28 15:39:05 UTC
Well, ipmitools should autodetect that. I found commit upstream addressing similar issue (apparently there are some BMCs labeling their system interface as something else), but without machine to test it on, I'll close this bug.


Note You need to log in before you can comment on or make changes to this bug.